<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.axzo.msg.center.dal.mapper.MNSMessageRedoMapper">
  <resultMap id="BaseResultMap" type="cn.axzo.msg.center.domain.entity.MNSMessageRedo">
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="app_no" jdbcType="VARCHAR" property="appNo" />
    <result column="request_no" jdbcType="VARCHAR" property="requestNo" />
    <result column="message_order_no" jdbcType="VARCHAR" property="messageOrderNo" />
    <result column="redo_order_no" jdbcType="VARCHAR" property="redoOrderNo" />
    <result column="channel_biz_id" jdbcType="VARCHAR" property="channelBizId" />
    <result column="message_type" jdbcType="VARCHAR" property="messageType" />
    <result column="notify_type" jdbcType="VARCHAR" property="notifyType" />
    <result column="status" jdbcType="VARCHAR" property="status" />
    <result column="channel_code" jdbcType="VARCHAR" property="channelCode" />
    <result column="channel_name" jdbcType="VARCHAR" property="channelName" />
    <result column="template_no" jdbcType="VARCHAR" property="templateNo" />
    <result column="subject" jdbcType="VARCHAR" property="subject" />
    <result column="target_address" jdbcType="VARCHAR" property="targetAddress" />
    <result column="retrying_flag" jdbcType="VARCHAR" property="retryingFlag" />
    <result column="retry_count" jdbcType="TINYINT" property="retryCount" />
    <result column="notify_rule" jdbcType="VARCHAR" property="notifyRule" />
    <result column="retry_at" jdbcType="TIMESTAMP" property="retryAt" />
    <result column="create_at" jdbcType="TIMESTAMP" property="createAt" />
    <result column="update_at" jdbcType="TIMESTAMP" property="updateAt" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="is_delete" jdbcType="TINYINT" property="isDelete" />
  </resultMap>
  <sql id="Base_Column_List">
    id, app_no, request_no, message_order_no, redo_order_no,channel_biz_id, message_type, notify_type,
    `status`, channel_code, channel_name, template_no, subject, target_address, retrying_flag,
    retry_count, notify_rule, retry_at, create_at, update_at, create_by, update_by, is_delete
  </sql>
</mapper>